package wtf.opal.event.impl.game.packet;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.network.packet.Packet;
import wtf.opal.event.EventCancellable;

@Environment(EnvType.CLIENT)
public final class InstantaneousSendPacketEvent extends EventCancellable {
   private final Packet<?> packet;

   public InstantaneousSendPacketEvent(Packet<?> packet) {
      this.packet = packet;
   }

   public Packet<?> getPacket() {
      return this.packet;
   }
}
